Name: lmms
Version: 0.3.1
Release: alt3.qa1

Summary: Linux MultiMedia Studio
License: GPL
Group: Sound
Url: http://lmms.sourceforge.net

Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>
Source: %name-%version.tar.bz2

BuildPreReq: rpm-build-lmms
# Automatically added by buildreq on Fri Feb 17 2006
BuildRequires: esound fontconfig freetype2 gcc-c++ imake jackit-devel ladspa_sdk libICE-devel libSDL-devel libSDL_sound-devel libX11-devel libalsa-devel libogg-devel libsamplerate-devel libsndfile-devel libstdc++-devel libvorbis-devel xorg-cf-files xorg-x11-proto-devel
BuildRequires: libqt3-devel libstk-devel
BuildRequires: festival-devel libestools-devel 
#TODO: Find or build -lFestival
BuildRequires: shared-mime-info
BuildRequires: shared-mime-info

%description
LMMS aims to be a free alternative to popular (but commercial and closed-
source) programs like FruityLoops, Cubase and Logic giving you the ability of
producing music with your computer by creating/synthesizing sounds, arranging
samples, using effects, playing live with keyboard and much more...
   
%prep
%setup -q

%build
##%__autoreconf
find ./plugins -type f -print0 | xargs -r0 %__subst "s|(LDFLAGS)|(LDFLAGS) \$(QT_LDADD) -lpthread |g"
find ./plugins -type f -print0 | xargs -r0 %__subst "s|(LIBS)|(LIBS) \$(QT_LDADD) -lpthread |g"
%configure
%make_build

%install
%__make DESTDIR=%buildroot install

%find_lang %name

%__mkdir_p %buildroot%_pixmapsdir
%__install -p -m 644 data/themes/default/icon.png %buildroot%_pixmapsdir/%name.png

# menu
%__mkdir_p %buildroot%_desktopdir
%__cat << EOF > %buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Name=LMMS
GenericName=Linux MultiMedia Studio
Comment=Linux MultiMedia Studio
Encoding=UTF-8
TryExec=lmms
Exec=lmms
Icon=lmms.png
Terminal=false
StartupNotify=true
Type=Application
Categories=Application;AudioVideo;
EOF

%post
%update_menus
%update_mimedb

%postun
%clean_menus
%clean_mimedb

%files -f %name.lang
%doc AUTHORS ChangeLog README TODO
%_bindir/*
%_libdir/%name/
%_datadir/%name/
%_man1dir/*
%_pixmapsdir/*
%_desktopdir/*
%_datadir/mime/packages/*

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt3.qa1
- NMU (by repocop): the following fixes applied:
 * shared-mime-info for lmms

* Tue Dec 11 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.3.1-alt3
- Fix build in x86_64.
- Remove BuildPreReq: libwine-devel
- Add BuildPreReq: rpm-build-lmms

* Fri Dec 07 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.3.1-alt2
- Fix build in x86_64.
- Remove BuildPreReq: libwine-devel for x86_64

* Mon Nov 19 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.3.1-alt1
- 0.3.1
- update spec

* Tue Sep 11 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.3.0-alt1
- 0.3.0
- update spec

* Mon Jun 11 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.2.1-alt1
- 0.2.1
- update spec

* Fri Jul 21 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.2.0-alt0
- 0.2.0
- Removed ALT menu file

* Thu Mar 23 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.1.4-alt2
- Removed BuildRequires: libqt4-core

* Tue Mar 21 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.1.4-alt1
- Removed BuildPreReq: wine

* Fri Feb 17 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.1.4-alt0
- initial build
